**Description**
*Simple reddit api* 

**Usage**

```javascript
const api = require('bee-api');

api({
    subreddit: 'cat',
    allowNSFW: false,
    allowModPost: true,
    allowCrossPost: true,
    allowVideo: true
}).then(post => {
    console.table(post);
});
```


**Functions**
```
subreddit:
    type: String,
    default: N/A
allowNSFW:
    type: boolean,
    description: weather it searches for nsfw posts
    default: false
allowModPost:
    type: boolean,
    description: weather it searches for mod posts
    default: false
allowCrossPost:
    type: boolean,
    description: whether or not the returned post can be a crosspost
    default: false
allowVideo: true
    type: boolean,
    description: whether or not the returned post can be a video
    default: false
```


**Function details**
By default, the Reddit JSON API should not return any removed or deleted posts.
Unhandled rejections can be caught and handled by doing:

```javascript
... bla bla bla bla
}).then(post => {
    //some code here
}).catch(e => {
    console.log(`Rejection: ${e}`);
})
```
**CREDIT**
Thank you to lilielilie for letting me "steal" the code ;)

**I'm sorry**
I apologize to those people who downloaded it and it didn't work... 
I'll try to make so you can search for more than one subreddit... Please be paitent. Thank you for your time

Kind regards

Nemijah


**Contact info**

<ul>
<li>Discord: Nemijah#6392</li>
<li>Email: hopetobylol@gmailcom</li>
<li>Github: DaatUserName</li>
<li>Discord server: https://discord.gg/3MAuPMjh7f</li>
<li>feel free to ping me</li>
</ul> 

